// package types -- содержит интерфейсы проекта
package types

import "context"

// IService -- объект сервиса
type IService interface {
	// Run -- запускает сервис в работу
	Run() error
	// Ctx -- возвращает контекст приложения
	Ctx() context.Context
	// CancelApp -- отменяет контекст приложения
	CancelApp()
	// Store -- хранилище
	Store() IStore
	// ServHttp -- HTTP-сервер
	ServHttp() IServHttp
}
